Subject: RE: DSTM Considered Harmful [Re: (ngtrans) final ngtransagendaforIETF-53 in Minneapolis]

From: "Bound, Jim" <[email-masked]>
Date: Tue, 19 Mar 2002 14:53:27 -0500

Christian,

You simply do not know what your talking about.  I see no point in you
and I arguing but just because YOU say this means less to me as I find
you only support ideas YOU generate NEVER others that I am aware of so
this is not surprising to me.

And tell me one system that has an IPv6 ONLY Stack you know of in
production?

I sure hope you don't speak for Microsoft because if you do they are in
trouble.  I assume as usual are speaking for Christian?

regards,
/jim

> -----Original Message-----
> From: Christian Huitema [mailto:[email-masked]]
> Sent: Tuesday, March 19, 2002 1:45 PM
> To: Tim Chown; Octavio Medina
> Cc: NGtrans List
> Subject: RE: DSTM Considered Harmful [Re: (ngtrans) final
> ngtransagendaforIETF-53 in Minneapolis]
> 
> 
> > On a deployment viewpoint, a MS implementation would be very useful,
> > given we have good v6 app support in Linux and BSD.   Can any of the
> MS
> > people comment on their own plans here?
> 
> I am personally not convinced of the urgency of implementing and
> deploying DSTM. The stated goal of DSTM is to let users of an 
> IPv6 only
> network gain IPv4 connectivity. Think about it: IPv6 only 
> networks. Does
> not look like a year 2002 problem to me. I would rather concentrate on
> making sure that users in an IPv4 only network can get some IPv6
> connectivity.
> 
> I am also not convinced that DSTM is the right solution to the stated
> problem. It goes to great length to assure that the IPv6 only 
> nodes can
> get a global IPv4 address, but it is very unclear that we will have
> enough available IPv4 addresses to allow that. DSTM attempts to reduce
> IPv4 address consumption by "time sharing" the address, but we have
> experience and theory that tells us that time sharing does not work
> well: in short, all nodes tend to need addresses at the same time.
> 
> If you remove the "global address" property, then DSTM is in fact an
> inferior solution, compared to NAT-PT (provided we remove the DNS ALG
> from NAT-PT.) At least, with NAT-PT, I don't even need an 
> IPv4 stack in
> the IPv6 only nodes, and I also don't need any address allocation
> protocol between the v6 only node and the server.
> 
> -- Christian Huitema
>

---

From: "Bound, Jim" <[email-masked]>
Date: Tue, 19 Mar 2002 14:54:46 -0500

I doubt Christian will respond because then he would have to counter the
technical argument with technical depth.

/jim

> From: Octavio Medina [mailto:[email-masked]]
> Sent: Tuesday, March 19, 2002 2:11 PM
> To: Christian Huitema
> Cc: Tim Chown; NGtrans List
> Subject: Re: DSTM Considered Harmful [Re: (ngtrans) final
> Christian Huitema wrote:
> > deploying DSTM. The stated goal of DSTM is to let users of 
> an IPv6 only
> If we can offer a reliable method to assure IPv4 connectivy inside an
> IPv6 only domain, people would have the choice between setting up IPv4
> private addresses + NAT (and all the associated problems) or IPv6 +
> DSTM. People are using private addresses + NAT today, in 2002.
> 
> 
> > 
> > problem. It goes to great length to assure that the IPv6 
> only nodes can
> That's what the ports option is all about, to offer that port sharing
> possibility (with its limits) and reduce the number of required
> addresses.
> 
> 
> In NAT-PT you assume you have IPv6-ready applications, capable to send
> IPv6 packets. That is not the case for most applications 
> (specially for
> Microsoft's). For NAT-PT to be useful, we would need a big number of
> applications becoming IPv6 aware, which is not the case in 2002. 
> 
> -Octavio
>

---

From: "Bound, Jim" <[email-masked]>
Date: Tue, 19 Mar 2002 14:56:18 -0500

funny it will be deployed this year so I guess we will let the market
decide.  
/jim

> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Tuesday, March 19, 2002 2:33 PM
> To: Christian Huitema
> Cc: Tim Chown; Octavio Medina; NGtrans List
> I've always assumed that DSTM would only be useful in the very late 
> stages of IPv6 rollout. Also, I believe that BIA is just as useful 
> for the interesting scenario (IPv6 clients using IPv4-only apps on an 
> IPv6 server). But BIA is much simpler to implement and deploy,
> and it doesn't consume real IPv4 addresses.
> 
> So my opinion is that DSTM could safely be put on ice for a couple
> of years, for future review. Certainly, we should wait until 
> the NGTRANS
> scenarios have been defined, as discussed in the meeting yesterday.
> 
>    Brian
> 
> Christian Huitema wrote:
> >

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 20 Mar 2002 10:19:17 -0500

>
> > How will work, for example, a web browser with an IPv4 
> address in the
> URL
> > if you use BIS/BIA ?
> 
> The BIA would rewrite "connect AF_INET 1.2.3.4" to "connect AF_INET6
> x:x:x::1.2.3.4", where x:x:x::/n is either the IPv4 mapped address
> prefix (configuration less environment) or a prefix managed by a
> specific NAT-PT (explicit configuration). The packets would 
> be routed to
> the NAT-PT, which would then do its stuff.

This is simply not necessary. With DSTM a global address is assigned and
the app just does what it always does like connect 1.2.3.4.  There is no
change to the app or the user space.  The 1.2.3.4 will be tunneled to
the DSTM border router and sent to the IPv4 network where 1.2.3.4.  

> 
> > >We may try to provide access to legacy
> > >applications using a dual-stack mechanism,
> > 
> > then you need an IPv4 address per host and manage IPv4 routing.
> 
> Well, there are two types of dual stack mechanism: an actual 
> dual-stack
> with, for example, two types of packets running over Ethernet, and a
> DSTM like mechanism, in which the IPv4 packets are sent over IPv4. In
> practice, I tend to believe that you need an IPv4 address per host in
> both cases. As I wrote previously, I really don't believe in time
> sharing, which implies that we should be ready to give a 
> different IPv4
> address to every node, even if we use 4over6.

DSTM sends the IPv4 packets over IPv6 not IPv4.

/jim

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 20 Mar 2002 10:24:11 -0500

> The advantage of the BIA scenario is that *no* IPv4 connectivity
> whatever is required to allow IPv6 hosts to talk to legacy IPv4
> applications in other IPv6 hosts. As far as I can see that achieves
> everything that DSTM achieves without most of the machinery.
> 
> I'd be interested to see a scenario where this isn't the case.
> 
>    Brian

At what cost.  I believe right now the cost (engineering/product costs)
to support BIA is not worth the gain today.

DSMT has hardly any machinery?

What machinery?  Its all on the client anyway?

Simply a matter of configuring the tunnel and then its a done deal once
the address is acquired all standard and existing call out code  on any
IP node (v6 or v4).  This is not the case of BIA.

/jim